Name: sane-frontends
Version: 1.0.14
Release:    1%{?dist}
Summary: Graphical frontend to SANE
URL: http://www.sane-project.org

Source0: %{name}-%{version}-repacked.tar.gz

Patch0: sane-frontends-1.0.14-array-out-of-bounds.patch
Patch1: sane-frontends-1.0.14-sane-backends-1.0.20.patch
Patch2: sane-frontends-1.0.14-xcam-man.patch
Patch3: frontends-scanadf-segv.patch
Patch4: sane-frontends-configure-c99.patch
Patch5: sane-frontends-c99.patch
Patch6: 0001-src-scanadf.c-Fix-segfault-when-scanadf-h-d-device.patch

License: GPL-2.0-or-later
BuildRequires: gcc
BuildRequires: git-core
BuildRequires: make

BuildRequires: gtk2-devel
BuildRequires: sane-backends-devel >= 1.0.19-15

%description
This packages includes the scanadf and xcam programs.

%prep
%autosetup -S git

%build
%configure --with-gnu-ld --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} --mandir=%{_mandir}
%make_build

%install
%make_install

rm -f %{buildroot}%{_bindir}/xscanimage
rm -f %{buildroot}%{_mandir}/man1/xscanimage*
rm -f %{buildroot}%{_datadir}/sane/sane-style.rc

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/scanadf
%{_bindir}/xcam
%{_mandir}/man1/scanadf.1.gz
%{_mandir}/man1/xcam.1.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.14-1
- initial build
